<?xml version="1.0" encoding="UTF-8"?>
<module external.linked.project.id="scala-day-4-build" external.linked.project.path="$MODULE_DIR$/../../project" external.root.project.path="$MODULE_DIR$/../.." external.system.id="SBT" type="SBT_MODULE" version="4">
  <component name="NewModuleRootManager">
    <output url="file://$MODULE_DIR$/../../project/target/idea-classes" />
    <output-test url="file://$MODULE_DIR$/../../project/target/idea-test-classes" />
    <exclude-output />
    <content url="file://$MODULE_DIR$/../../project">
      <sourceFolder url="file://$MODULE_DIR$/../../project" isTestSource="false" />
      <excludeFolder url="file://$MODULE_DIR$/../../project/project/target" />
      <excludeFolder url="file://$MODULE_DIR$/../../project/target" />
    </content>
    <orderEntry type="inheritedJdk" />
    <orderEntry type="sourceFolder" forTests="false" />
    <orderEntry type="module-library" scope="PROVIDED">
      <library name="sbt: sbt-1.7.3">
        <CLASSES>
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/lib/scala-compiler.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/lib/scala-library.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/lib/scala-reflect.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/lib/scala-xml_2.12-2.1.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/actions_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/caffeine-2.8.5.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/checker-qual-3.4.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/collections_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/command_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/compiler-bridge_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/compiler-interface-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/completion_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/config-1.4.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/core-macros_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/disruptor-3.4.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/error_prone_annotations-2.4.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/file-tree-views-2.1.9.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/gigahorse-apache-http_2.12-0.7.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/gigahorse-core_2.12-0.7.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/io_2.12-1.7.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/ipcsocket-1.5.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/ivy-2.3.0-sbt-fbc4f586aeeb1591710b14eb4f41b94880dcd745.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jansi-2.1.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-2.14.7-sbt-a1b0ffbb8f64bb820f4f84a0c07a0c0964507493.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-builtins-3.19.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-reader-3.19.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-style-3.19.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-terminal-3.19.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-terminal-jansi-3.19.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jline-terminal-jna-3.19.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jna-5.12.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jna-platform-5.12.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/jsch-0.1.54.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/launcher-interface-1.4.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/librarymanagement-core_2.12-1.7.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/librarymanagement-ivy_2.12-1.7.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/lm-coursier-shaded_2.12-2.0.12.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/log4j-api-2.17.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/log4j-core-2.17.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/log4j-slf4j-impl-2.17.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/logic_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/main-settings_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/main_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/protocol_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/reactive-streams-1.0.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/run_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/sbinary_2.12-0.5.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/sbt-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scala-collection-compat_2.12-2.8.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scala-compiler-2.12.16.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scala-library-2.12.17.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scala-parser-combinators_2.12-1.1.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scala-reflect-2.12.16.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scala-xml_2.12-1.3.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/scripted-plugin_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/shaded-apache-httpasyncclient-0.7.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/shaded-jawn-parser_2.12-0.9.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/shaded-scalajson_2.12-1.0.0-M4.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/sjson-new-core_2.12-0.9.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/sjson-new-murmurhash_2.12-0.9.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/sjson-new-scalajson_2.12-0.9.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/slf4j-api-2.0.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/ssl-config-core_2.12-0.6.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/task-system_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/tasks_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/template-resolver-0.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/test-agent-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/test-interface-1.0.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/testing_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-cache_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-control_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-interface-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-logging_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-position_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-relation_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/util-tracking_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zero-allocation-hashing-0.10.1.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-apiinfo_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-classfile_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-classpath_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-compile-core_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-compile_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-core_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-lm-integration_2.12-1.7.3.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-persist-core-assembly-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc-persist_2.12-1.7.2.jar!/" />
          <root url="jar://$USER_HOME$/.sbt/boot/scala-2.12.17/org.scala-sbt/sbt/1.7.3/zinc_2.12-1.7.2.jar!/" />
        </CLASSES>
        <JAVADOC />
        <SOURCES />
      </library>
    </orderEntry>
  </component>
  <component name="SbtModule">
    <option name="buildForURI" value="file:/$MODULE_DIR$/../../../../../MY%20LABS/scala-programming/scala-day-4/" />
    <option name="imports" value="SUB:DOLLARb0d51cff6efe0d9a5d9d.`root`, _root_.sbt.Keys._, _root_.sbt.ScriptedPlugin.autoImport._, _root_.sbt.plugins.JUnitXmlReportPlugin.autoImport._, _root_.sbt.plugins.MiniDependencyTreePlugin.autoImport._, _root_.sbt._, _root_.sbt.nio.Keys._, _root_.sbt.plugins.IvyPlugin, _root_.sbt.plugins.JvmPlugin, _root_.sbt.plugins.CorePlugin, _root_.sbt.ScriptedPlugin, _root_.sbt.plugins.SbtPlugin, _root_.sbt.plugins.SemanticdbPlugin, _root_.sbt.plugins.JUnitXmlReportPlugin, _root_.sbt.plugins.Giter8TemplatePlugin, _root_.sbt.plugins.MiniDependencyTreePlugin, _root_.scala.xml.{TopScope=&gt;SUB:DOLLARscope}" />
    <option name="resolvers" value="https://repo1.maven.org/maven2/|maven|public, C:\Users\joseph.acheampong\.ivy2\cache|ivy|true|Local cache" />
  </component>
</module>